Overview | Modules | Class Hierarchy | Classes | Members

# tlp::StableIterator< itType > Struct Template Reference

`#include <StableIterator.h>`

Inherits tlp::Iterator< itType >< itType >.

Inheritance diagram for tlp::StableIterator< itType >:

[legend]
Collaboration diagram for tlp::StableIterator< itType >:

[legend]
List of all members.

## Detailed Description

### template<class itType>
struct tlp::StableIterator< itType >

Interface of StableIterator,.

## Public Member Functions

- StableIterator (Iterator< itType > *itIn)
- ~StableIterator ()
- itType next ()
    Return the next element.
- bool hasNext ()
    Return true if it exist a next element.

## Protected Attributes

- std::vector< itType > cloneIt
- std::vector< itType >::iterator itStl

## Constructor & Destructor Documentation

template<class itType>
tlp::StableIterator< itType >::StableIterator | ( | Iterator< itType > * | itIn | ) | `[inline]`

template<class itType>
tlp::StableIterator< itType >::~StableIterator | ( |  | ) | `[inline]`

## Member Function Documentation

template<class itType>
bool tlp::StableIterator< itType >::hasNext | ( |  | ) | `[inline, virtual]`

| Return true if it exist a next element. Implements tlp::Iterator< itType >.

template<class itType>
itType tlp::StableIterator< itType >::next | ( |  | ) | `[inline, virtual]`

| Return the next element. Implements tlp::Iterator< itType >.

## Member Data Documentation

template<class itType>
std::vector<itType> tlp::StableIterator< itType >::cloneIt `[protected]`

template<class itType>
std::vector<itType>::iterator tlp::StableIterator< itType >::itStl `[protected]`

Tulip Software by LaBRI Visualization Team 2001 - 2010